ABELLA_DOC(1)

NAME

abella_doc - Generate HTML documentation from Abella source

SYNOPSIS

abella_doc [--abella=CMD] [-r] [--verbose] [OPTION]… [SOURCE]…

ARGUMENTS

SOURCE
    An Abella .thm file or a directory

OPTIONS

-a CMD, --abella=CMD (absent=abella[.exe] or ABELLA env)
    Set the Abella command to CMD

-r  Process directories recursively

--verbose
    Verbose output

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

ENVIRONMENT

These environment variables affect the execution of abella_doc:

ABELLA
    Abella command to run (overriden by --abella)

EXAMPLES

To create HTML documents from a.thm, d/b.thm, and c/*.thm

  $ abella_doc a.thm d/b.thm c/*.thm

To create HTML documentation recursively from all .thm files in d/

  $ abella_doc -r d

SEE ALSO

abella(1)

BUGS

File bug reports at <https://github.com/abella-prover/abella/issues>